#ifndef SERIALLOGGER_H
#define SERIALLOGGER_H

/**** INCLUDES ****/
#include "Arduino.h"

/**** VARIABLES ****/

/**** DEFINES ****/
#define BAUDRATE 115200

/**** CLASS ****/
class Seriallogger{
  private:
    
  public:
    Seriallogger();
    boolean sendHello();
    boolean sendTemperature(float temp);
    boolean send(char* msg);
  
};

/**** METHODS ****/
Seriallogger::Seriallogger(){
  Serial.begin(BAUDRATE);
}

boolean Seriallogger::sendHello(){
  //Serial.println("Hello from Arduino");
  Serial.write("Hello");
  Serial.write(10);
  Serial.flush();
  return true;
}

boolean Seriallogger::sendTemperature(float temp){
 Serial.println(temp,DEC);
 return true;
}

boolean Seriallogger::send(char* msg){
 Serial.println(msg); 
}


#endif
